<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="FLR Druck Printersteuerung HVMA" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="772" leftMargin="42" rightMargin="28" topMargin="28" bottomMargin="28" uuid="be8f1b7c-d944-4fbd-af93-f3face8c1f35">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.2396694214876032"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<parameter name="P_MANDANT_OBJ" class="com.lp.server.system.service.ReportMandantDto" isForPrompting="false"/>
	<field name="Spalte1" class="java.lang.String">
		<fieldDescription><![CDATA[Parameter]]></fieldDescription>
	</field>
	<field name="Spalte2" class="java.lang.String">
		<fieldDescription><![CDATA[Kategorie]]></fieldDescription>
	</field>
	<field name="Spalte3" class="java.lang.String">
		<fieldDescription><![CDATA[Wert]]></fieldDescription>
	</field>
	<variable name="Zebra" class="java.math.BigDecimal" resetType="Page">
		<variableExpression><![CDATA[$V{Zebra}.negate()]]></variableExpression>
		<initialValueExpression><![CDATA[new BigDecimal(1)]]></initialValueExpression>
	</variable>
	<variable name="Hauptmandant" class="java.lang.String" resetType="None">
		<variableExpression><![CDATA[$P{P_MANDANT_OBJ}.getHauptmandant()]]></variableExpression>
	</variable>
	<variable name="Wert_Hauptmandant" class="java.lang.String" resetType="None">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select C_WERT from LP_PARAMETERMANDANT where MANDANT_C_NR = '"+$V{Hauptmandant}+"' and "+
"C_NR='"+$F{Spalte1}.trim()+"' and "+
"C_KATEGORIE='"+$F{Spalte2}+"';"
)]]></variableExpression>
	</variable>
	<variable name="PW" class="java.lang.Boolean">
		<variableExpression><![CDATA[$F{Spalte1}.toUpperCase().contains("API") ||
$F{Spalte1}.toUpperCase().contains("KENNWORT") ||
$F{Spalte1}.toUpperCase().contains("PASSWORD")]]></variableExpression>
	</variable>
	<variable name="Mandantenanzahl" class="java.lang.Long">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select count(c_nr) from lp_mandant;"
)]]></variableExpression>
	</variable>
	<variable name="AnzahlMandantenParameter" class="java.lang.Long">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select count(c_nr) from lp_parametermandant where c_nr = '"+$F{Spalte1}.trim()+"' "+
"and c_kategorie='"+$F{Spalte2}.trim()+"';"
)]]></variableExpression>
	</variable>
	<pageHeader>
		<band height="50">
			<textField>
				<reportElement x="0" y="0" width="772" height="20" uuid="84e2e072-ff0d-4f17-9cc1-edf5498cb6c1"/>
				<textElement markup="none">
					<font fontName="Arial" size="16"/>
				</textElement>
				<textFieldExpression><![CDATA["Parametervergleich Mandant "+$P{P_MANDANT_OBJ}.getMandantCNr()+" mit Hauptmandant "+$V{Hauptmandant}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="37" width="440" height="12" uuid="996405ab-acfa-45cb-a7d0-c8afbf7e9d9e"/>
				<textElement markup="none">
					<font fontName="Arial" size="10" isBold="false"/>
				</textElement>
				<text><![CDATA[Parameter]]></text>
			</staticText>
			<staticText>
				<reportElement x="440" y="37" width="120" height="12" uuid="2a41ba10-ed4a-42f4-a6b5-c7e960eb2cd3"/>
				<textElement markup="none">
					<font fontName="Arial" size="10" isBold="false"/>
				</textElement>
				<text><![CDATA[Kategorie]]></text>
			</staticText>
			<staticText>
				<reportElement x="560" y="37" width="100" height="12" uuid="734e2fd9-7fd0-4834-be1e-77ef44ea3950"/>
				<textElement textAlignment="Center" markup="none">
					<font fontName="Arial" size="10" isBold="false"/>
				</textElement>
				<text><![CDATA[Wert]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="49" width="772" height="1" uuid="73c2f365-1bd1-4f8c-ac1e-66ead99312cb"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement x="670" y="37" width="100" height="12" uuid="e77e2bc6-46ff-4785-805c-fb4c7d1f0267"/>
				<textElement textAlignment="Center" markup="none">
					<font fontName="Arial" size="10" isBold="false"/>
				</textElement>
				<text><![CDATA[Wert-Hauptmandant]]></text>
			</staticText>
			<staticText>
				<reportElement x="102" y="20" width="670" height="8" uuid="0d076e17-3a8a-4fc1-ab4d-a3f22ba6bd31"/>
				<textElement textAlignment="Right" markup="none">
					<font fontName="Arial" size="6" isBold="false"/>
				</textElement>
				<text><![CDATA[Für den Druck der QR Codes für die Druckersteuerung der HVMA siehe Report flrdruck5022_hvma_drucker]]></text>
			</staticText>
			<staticText>
				<reportElement x="660" y="25" width="10" height="24" uuid="45cdc849-ce32-4884-9a6c-94304df2a9e6"/>
				<textElement textAlignment="Left" rotation="Left" markup="none">
					<font fontName="Arial" size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[fehlt]]></text>
			</staticText>
		</band>
	</pageHeader>
	<detail>
		<band height="12">
			<rectangle>
				<reportElement key="Zebra" mode="Opaque" x="0" y="0" width="772" height="12" forecolor="#CCCCCC" backcolor="#CCCCCC" uuid="e319de43-fb38-418d-8c57-2ce5b198fcf4">
					<printWhenExpression><![CDATA[$V{Zebra}.intValue() == 1]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<rectangle>
				<reportElement key="Ungleich" x="560" y="0" width="210" height="12" forecolor="#FF9999" backcolor="#FF9999" uuid="bff62c84-0141-4c5c-bae3-877759cadb60">
					<printWhenExpression><![CDATA[$F{Spalte3}.compareTo($V{Wert_Hauptmandant}) != 0 &&
!$V{PW}]]></printWhenExpression>
				</reportElement>
			</rectangle>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Parameter" x="0" y="0" width="440" height="12" isRemoveLineWhenBlank="true" uuid="be4af1c7-356e-43b3-a65d-c376cedfcd1e"/>
				<textElement>
					<font fontName="Arial" size="10" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Spalte1}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Kategorie" x="440" y="0" width="120" height="12" isRemoveLineWhenBlank="true" uuid="62fa2a3b-eb61-4da8-8278-b11e25a0ea92"/>
				<textElement>
					<font fontName="Arial" size="10" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Spalte2}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Wert gewählter Mandant" stretchType="RelativeToTallestObject" x="560" y="0" width="100" height="12" isRemoveLineWhenBlank="true" uuid="7a66e983-780f-4a25-8d72-ee194c3b0afe">
					<printWhenExpression><![CDATA[!$V{PW}]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="Arial" size="10" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Spalte3}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement key="Wert Hauptmandant" stretchType="RelativeToTallestObject" x="670" y="0" width="100" height="12" isRemoveLineWhenBlank="true" uuid="656cae52-9a05-4a0b-9b98-0468eb430369">
					<printWhenExpression><![CDATA[!$V{PW}]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="Arial" size="10" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Wert_Hauptmandant}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement key="Wert Hauptmandant" stretchType="RelativeToTallestObject" mode="Opaque" x="660" y="0" width="10" height="12" isRemoveLineWhenBlank="true" forecolor="#FFFFFF" backcolor="#0000FF" uuid="bbfdf379-62b2-498d-9d1b-1d41a543d6ae">
					<printWhenExpression><![CDATA[$V{Mandantenanzahl}.intValue() != $V{AnzahlMandantenParameter}.intValue()]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["!!"]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
